CFPRIME UDMNWL                                                          UDMNWL      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE UDMNWL(INDEX)                                          UDMNWL      3
CD                                                                      UDMNWL      4
CD    TO SET UDM NON-WIND UP LIMITS ON CORRESPONDING STATES.            UDMNWL      5
CD                                                                      UDMNWL      6
      INCLUDE 'PARX.INS'                                                UDMNWL      7
      INCLUDE 'CNPT.INS'                                                UDMNWL      8
      INCLUDE 'CNPARX.INS'                                              UDMNWL      9
      INCLUDE 'CNMDAT.INS'                                              UDMNWL     10
      INCLUDE 'CNIPTR.INS'                                              UDMNWL     11
      INCLUDE 'CNB3.INS'                                                UDMNWL     12
      INCLUDE 'CNB4.INS'                                                UDMNWL     13
      INCLUDE 'CNB5.INS'                                                UDMNWL     14
      INCLUDE 'CNB8.INS'                                                UDMNWL     15
      INCLUDE 'CNB9.INS'                                                UDMNWL     16
      INCLUDE 'CNB10.INS'                                               UDMNWL     17
      INCLUDE 'CNB19.INS'                                               UDMNWL     18
      INCLUDE 'CNXSTA.INS'                                              UDMNWL     19
      INCLUDE 'CNYVAR.INS'                                              UDMNWL     20
      INCLUDE 'CNUDM.INS'                                               UDMNWL     21
      INCLUDE 'CNFLAG.INS'                                              UDMNWL     22
      INCLUDE 'CNUNIT.INS'                                              UDMNWL     23
C                                                                       UDMNWL     24
      LDEB=(JDEB(267).NE.0)                                             UDMNWL     25
C                                                                       UDMNWL     26
      LORD=0                                                            UDMNWL     27
      JEL=JE4+NUDB                                                      UDMNWL     28
      JEK=JEL+NUDB                                                      UDMNWL     29
  100 LORD=LORD+1                                                       UDMNWL     30
      K=IDDAT(JEL+LORD)                                                 UDMNWL     31
      IF(K.EQ.0) GO TO 500                                              UDMNWL     32
      KORD=IDDAT(JEK+LORD)                                              UDMNWL     33
      IF(K.LT.1000) THEN                                                UDMNWL     34
         JEB=JE3+17*K-17                                                UDMNWL     35
         LTYP=IDDAT(JEB+2)                                              UDMNWL     36
         IF(LDEB)WRITE(IUD6,1000) LORD,K,KORD,JEB,LTYP                  UDMNWL     37
C                                                                       UDMNWL     38
         GO TO ( 500, 110, 120, 500, 130, 500, 500, 500, 500, 500       UDMNWL     39
     &         , 500, 500, 500, 500, 500, 500, 500, 500, 500, 500       UDMNWL     40
     &         , 500, 500, 500, 500, 500, 500, 500, 500, 500, 500       UDMNWL     41
     &         , 135, 135, 140, 150, 140, 150, 160, 500, 500, 170       UDMNWL     42
     &         , 500, 500, 500, 500, 500, 500, 500, 180, 500, 500       UDMNWL     43
     &         , 500, 190, 200, 230, 240, 250, 251, 252, 253, 500       UDMNWL     44
     &         , 500, 500, 500, 500, 500, 500, 500, 500, 500, 500       UDMNWL     45
     &         , 255), LTYP                                             UDMNWL     46
      ELSE                                                              UDMNWL     47
         K=K-1000                                                       UDMNWL     48
         JEB=JE3+17*K-17                                                UDMNWL     49
         LTYP=IDDAT(JEB+2)                                              UDMNWL     50
         IF(LDEB)WRITE(IUD6,1000) LORD,K,KORD,JEB,LTYP                  UDMNWL     51
         GO TO ( 500, 260, 270, 500, 280), LTYP                         UDMNWL     52
      ENDIF                                                             UDMNWL     53
  110 XMAX=DDAT(JEB+4)                                                  UDMNWL     54
      IF(XSTATE(KORD).GT.XMAX) THEN                                     UDMNWL     55
         XSTATE(KORD)=XMAX                                              UDMNWL     56
         GO TO 500                                                      UDMNWL     57
      ENDIF                                                             UDMNWL     58
      XMIN=DDAT(JEB+5)                                                  UDMNWL     59
      IF(XSTATE(KORD).LT.XMIN) XSTATE(KORD)=XMIN                        UDMNWL     60
      GO TO 500                                                         UDMNWL     61
  120 XMAX=DDAT(JEB+5)                                                  UDMNWL     62
      IF(XSTATE(KORD).GT.XMAX) THEN                                     UDMNWL     63
         XSTATE(KORD)=XMAX                                              UDMNWL     64
         GO TO 500                                                      UDMNWL     65
      ENDIF                                                             UDMNWL     66
      XMIN=DDAT(JEB+6)                                                  UDMNWL     67
      IF(XSTATE(KORD).LT.XMIN) XSTATE(KORD)=XMIN                        UDMNWL     68
      GO TO 500                                                         UDMNWL     69
  130 XMAX=DDAT(JEB+6)                                                  UDMNWL     70
      IF(XSTATE(KORD).GT.XMAX) THEN                                     UDMNWL     71
         XSTATE(KORD)=XMAX                                              UDMNWL     72
         GO TO 500                                                      UDMNWL     73
      ENDIF                                                             UDMNWL     74
      XMIN=DDAT(JEB+7)                                                  UDMNWL     75
      IF(XSTATE(KORD).LT.XMIN) XSTATE(KORD)=XMIN                        UDMNWL     76
      GO TO 500                                                         UDMNWL     77
  135 XMIN=DDAT(JEB+8)                                                  UDMNWL     78
      IF(XSTATE(KORD).LT.XMIN) XSTATE(KORD)=XMIN                        UDMNWL     79
      GO TO 500                                                         UDMNWL     80
  140 XMIN=DDAT(JEB+13)                                                 UDMNWL     81
      IF(XSTATE(KORD).LT.XMIN) XSTATE(KORD)=XMIN                        UDMNWL     82
      GO TO 500                                                         UDMNWL     83
  150 XMAX=DDAT(JEB+12)                                                 UDMNWL     84
      IF(XSTATE(KORD).GT.XMAX) THEN                                     UDMNWL     85
         XSTATE(KORD)=XMAX                                              UDMNWL     86
         GO TO 500                                                      UDMNWL     87
      ENDIF                                                             UDMNWL     88
      XMIN=DDAT(JEB+13)                                                 UDMNWL     89
      IF(XSTATE(KORD).LT.XMIN) XSTATE(KORD)=XMIN                        UDMNWL     90
      GO TO 500                                                         UDMNWL     91
  160 XMAX=DDAT(JEB+5)                                                  UDMNWL     92
      IF(XSTATE(KORD).GT.XMAX) THEN                                     UDMNWL     93
         XSTATE(KORD)=XMAX                                              UDMNWL     94
         EFD(JYG+4)=XSTATE(KORD)                                        UDMNWL     95
         GO TO 500                                                      UDMNWL     96
      ENDIF                                                             UDMNWL     97
      XMIN=0.0                                                          UDMNWL     98
      IF(XSTATE(KORD).LT.XMIN) THEN                                     UDMNWL     99
         XSTATE(KORD)=XMIN                                              UDMNWL    100
         EFD(JYG+4)=XSTATE(KORD)                                        UDMNWL    101
      ENDIF                                                             UDMNWL    102
      GO TO 500                                                         UDMNWL    103
  170 XMAX=DDAT(JEB+11)                                                 UDMNWL    104
      IF(XSTATE(KORD).GT.XMAX) THEN                                     UDMNWL    105
         XSTATE(KORD)=XMAX                                              UDMNWL    106
         EFD(JYG+4)=XSTATE(KORD)                                        UDMNWL    107
         GO TO 500                                                      UDMNWL    108
      ENDIF                                                             UDMNWL    109
      XMIN=DDAT(JEB+12)                                                 UDMNWL    110
      IF(XSTATE(KORD).LT.XMIN) THEN                                     UDMNWL    111
         XSTATE(KORD)=XMIN                                              UDMNWL    112
         EFD(JYG+4)=XSTATE(KORD)                                        UDMNWL    113
      ENDIF                                                             UDMNWL    114
      GO TO 500                                                         UDMNWL    115
  180 XMAX=1.0-DDAT(JEB+6)                                              UDMNWL    116
      IF(XSTATE(KORD).GT.XMAX) THEN                                     UDMNWL    117
         XSTATE(KORD)=XMAX                                              UDMNWL    118
         GO TO 500                                                      UDMNWL    119
      ENDIF                                                             UDMNWL    120
      XMIN=XMAX-1.0                                                     UDMNWL    121
      IF(XSTATE(KORD).LT.XMIN) XSTATE(KORD)=XMIN                        UDMNWL    122
      GO TO 500                                                         UDMNWL    123
  190 IF(XSTATE(KORD).GT.1.0) THEN                                      UDMNWL    124
         XSTATE(KORD)=1.0                                               UDMNWL    125
         BTCR(JY+6)=1.0                                                 UDMNWL    126
         BDEV(JY+5)=1.0-DDAT(JEB+6)                                     UDMNWL    127
         BSVC(JY+2)=BDEV(JY+5)*BASER(JY+4)                              UDMNWL    128
         GO TO 500                                                      UDMNWL    129
      ENDIF                                                             UDMNWL    130
      IF(XSTATE(KORD).LT.0.0) THEN                                      UDMNWL    131
         XSTATE(KORD)=0.0                                               UDMNWL    132
         BTCR(JY+6)=0.0                                                 UDMNWL    133
         BDEV(JY+5)=-DDAT(JEB+6)                                        UDMNWL    134
         BSVC(JY+2)=BDEV(JY+5)*BASER(JY+4)                              UDMNWL    135
      ENDIF                                                             UDMNWL    136
      GO TO 500                                                         UDMNWL    137
  200 IF(XSTATE(KORD+1).GT.1.0) THEN                                    UDMNWL    138
         XSTATE(KORD+1)=1.0                                             UDMNWL    139
         GO TO 210                                                      UDMNWL    140
      ENDIF                                                             UDMNWL    141
      IF(XSTATE(KORD+1).LT.0.0) XSTATE(KORD+1)=0.0                      UDMNWL    142
  210 IF(XSTATE(KORD).GT.1.0) THEN                                      UDMNWL    143
         XSTATE(KORD)=1.0                                               UDMNWL    144
         GO TO 220                                                      UDMNWL    145
      ENDIF                                                             UDMNWL    146
      IF(XSTATE(KORD).LT.0.0) XSTATE(KORD)=0.0                          UDMNWL    147
  220 BSTCX=DDAT(JEB+3)*BTCR(JY+6)-BDEV(JY+5)                           UDMNWL    148
      IF(DDAT(JEB+5).GT.0.0)                                            UDMNWL    149
     & BTCR(JY+6)=XSTATE(KORD)-SIN(PII*XSTATE(KORD))/PII                UDMNWL    150
      IF(DDAT(JEB+6).GT.0.0)THEN                                        UDMNWL    151
        BDEV(JY+5)=DDAT(JEB+3)*BTCR(JY+6)-XSTATE(KORD+1)*DDAT(JEB+4)    UDMNWL    152
      ELSE                                                              UDMNWL    153
        BDEV(JY+5)=DDAT(JEB+3)*BTCR(JY+6)-BSTCX                         UDMNWL    154
      ENDIF                                                             UDMNWL    155
      BSVC(JY+2)=BDEV(JY+5)*BASER(JY+4)                                 UDMNWL    156
      GO TO 500                                                         UDMNWL    157
  230 IF(XSTATE(KORD).GT.1.0) THEN                                      UDMNWL    158
         XSTATE(KORD)=1.0                                               UDMNWL    159
         YVAR(JY+2)=1.0                                                 UDMNWL    160
         GO TO 500                                                      UDMNWL    161
      ENDIF                                                             UDMNWL    162
      IF(XSTATE(KORD).LT.-1.0) THEN                                     UDMNWL    163
         XSTATE(KORD)=-1.0                                              UDMNWL    164
         YVAR(JY+2)=-1.0                                                UDMNWL    165
      ENDIF                                                             UDMNWL    166
      GO TO 500                                                         UDMNWL    167
  240 IF(XSTATE(KORD).GT.1.0) THEN                                      UDMNWL    168
         XSTATE(KORD)=1.0                                               UDMNWL    169
         YDEV(JY+2)=1.0                                                 UDMNWL    170
         YSDB(JY+1)=BASER(JY+4)                                         UDMNWL    171
         GO TO 500                                                      UDMNWL    172
      ENDIF                                                             UDMNWL    173
      IF(XSTATE(KORD).LT.0.0) THEN                                      UDMNWL    174
         XSTATE(KORD)=0.0                                               UDMNWL    175
         BDEV(JY+2)=0.0                                                 UDMNWL    176
         YSDB(JY+1)=0.0                                                 UDMNWL    177
      ENDIF                                                             UDMNWL    178
      GO TO 500                                                         UDMNWL    179
  250 IF(XSTATE(KORD).GT.1.0) THEN                                      UDMNWL    180
         XSTATE(KORD)=1.0                                               UDMNWL    181
         BDEV(JY+5)=1.0                                                 UDMNWL    182
         BRANI(JY+2)=BASER(JY+4)                                        UDMNWL    183
         GO TO 500                                                      UDMNWL    184
      ENDIF                                                             UDMNWL    185
      IF(XSTATE(KORD).LT.0.0) THEN                                      UDMNWL    186
         XSTATE(KORD)=0.0                                               UDMNWL    187
         BDEV(JY+5)=0.0                                                 UDMNWL    188
         BRANI(JY+2)=0.0                                                UDMNWL    189
      ENDIF                                                             UDMNWL    190
      GO TO 500                                                         UDMNWL    191
  251 XMAX=DDAT(JEB+13)                                                 UDMNWL    192
      IF(XSTATE(KORD).GT.XMAX) THEN                                     UDMNWL    193
         XSTATE(KORD)=XMAX                                              UDMNWL    194
         BDEV(JY+5)=XMAX                                                UDMNWL    195
         BSVC(JY+2)=XMAX*ABS(BASER(JY+4))                               UDMNWL    196
         GO TO 500                                                      UDMNWL    197
      ENDIF                                                             UDMNWL    198
      XMIN=DDAT(JEB+14)                                                 UDMNWL    199
      IF(XSTATE(KORD).LT.XMIN) THEN                                     UDMNWL    200
         XSTATE(KORD)=XMIN                                              UDMNWL    201
         BDEV(JY+5)=XMIN                                                UDMNWL    202
         BSVC(JY+2)=XMIN*ABS(BASER(JY+4))                               UDMNWL    203
      ENDIF                                                             UDMNWL    204
      GO TO 500                                                         UDMNWL    205
  252 XMAX=DDAT(JEB+13)                                                 UDMNWL    206
      IF(XSTATE(KORD).GT.XMAX) THEN                                     UDMNWL    207
         XSTATE(KORD)=XMAX                                              UDMNWL    208
         BDEV(JY+5)=XMAX                                                UDMNWL    209
         BSVC(JY+2)=XMAX*BASER(JY+4)                                    UDMNWL    210
         GO TO 500                                                      UDMNWL    211
      ENDIF                                                             UDMNWL    212
      XMIN=DDAT(JEB+14)                                                 UDMNWL    213
      IF(XSTATE(KORD).LT.XMIN) THEN                                     UDMNWL    214
         XSTATE(KORD)=XMIN                                              UDMNWL    215
         BDEV(JY+5)=XMIN                                                UDMNWL    216
         BSVC(JY+2)=XMIN*BASER(JY+4)                                    UDMNWL    217
      ENDIF                                                             UDMNWL    218
      GO TO 500                                                         UDMNWL    219
  253 XMAX=DDAT(JEB+13)                                                 UDMNWL    220
      IF(XSTATE(KORD).GT.XMAX) THEN                                     UDMNWL    221
         XSTATE(KORD)=XMAX                                              UDMNWL    222
         BDEV(JY+5)=XMAX                                                UDMNWL    223
         Z02=BRANI(JY+9)**2+BRANI(JY+3)**2                              UDMNWL    224
         R0=BRANI(JY+9)/Z02                                             UDMNWL    225
         X0=BRANI(JY+3)/Z02                                             UDMNWL    226
         DX=XMAX*BASER(JY+4)-BRANI(JY+10)                               UDMNWL    227
         Z2=R0**2+(X0+DX)**2                                            UDMNWL    228
         BRANI(JY+8)=R0/Z2                                              UDMNWL    229
         BRANI(JY+2)=(X0+DX)/Z2                                         UDMNWL    230
         GO TO 500                                                      UDMNWL    231
      ENDIF                                                             UDMNWL    232
      XMIN=DDAT(JEB+14)                                                 UDMNWL    233
      IF(XSTATE(KORD).LT.XMIN) THEN                                     UDMNWL    234
         XSTATE(KORD)=XMIN                                              UDMNWL    235
         BDEV(JY+5)=XMIN                                                UDMNWL    236
         Z02=BRANI(JY+9)**2+BRANI(JY+3)**2                              UDMNWL    237
         R0=BRANI(JY+9)/Z02                                             UDMNWL    238
         X0=BRANI(JY+3)/Z02                                             UDMNWL    239
         DX=XMIN*BASER(JY+4)-BRANI(JY+10)                               UDMNWL    240
         Z2=R0**2+(X0+DX)**2                                            UDMNWL    241
         BRANI(JY+8)=R0/Z2                                              UDMNWL    242
         BRANI(JY+2)=(X0+DX)/Z2                                         UDMNWL    243
      ENDIF                                                             UDMNWL    244
      GO TO 500                                                         UDMNWL    245
  255 XMAX=DDAT(JEB+11)                                                 UDMNWL    246
      IF(XSTATE(KORD).GT.XMAX) THEN                                     UDMNWL    247
         XSTATE(KORD)=XMAX                                              UDMNWL    248
         GO TO 500                                                      UDMNWL    249
      ENDIF                                                             UDMNWL    250
      XMIN=DDAT(JEB+12)                                                 UDMNWL    251
      IF(XSTATE(KORD).LT.XMIN) XSTATE(KORD)=XMIN                        UDMNWL    252
      GO TO 500                                                         UDMNWL    253
  260 VALO=XSTATE(KORD)                                                 UDMNWL    254
      IF(INDEX.EQ.1) THEN                                               UDMNWL    255
         VRFIN(JYE+3)=VALO                                              UDMNWL    256
         GO TO 500                                                      UDMNWL    257
      ENDIF                                                             UDMNWL    258
      IF(INDEX.EQ.2) THEN                                               UDMNWL    259
         VGOV(JYP+2)=VALO                                               UDMNWL    260
         GO TO 500                                                      UDMNWL    261
      ENDIF                                                             UDMNWL    262
      IF(INDEX.EQ.3) THEN                                               UDMNWL    263
         STCR(JY+7)=VALO                                                UDMNWL    264
         GO TO 500                                                      UDMNWL    265
      ENDIF                                                             UDMNWL    266
      IF(INDEX.EQ.4) THEN                                               UDMNWL    267
         SSTC(JYTC+3)=VALO                                              UDMNWL    268
         GO TO 500                                                      UDMNWL    269
      ENDIF                                                             UDMNWL    270
      IF(INDEX.EQ.5) THEN                                               UDMNWL    271
         SSPS(JYPS+3)=VALO                                              UDMNWL    272
         GO TO 500                                                      UDMNWL    273
      ENDIF                                                             UDMNWL    274
      IF(INDEX.EQ.6) THEN                                               UDMNWL    275
         SSDB(JY+3)=VALO                                                UDMNWL    276
         GO TO 500                                                      UDMNWL    277
      ENDIF                                                             UDMNWL    278
      GO TO 500                                                         UDMNWL    279
  270 VALO=XSTATE(KORD)+DDAT(JEB+9)                                     UDMNWL    280
      IF(INDEX.EQ.1) THEN                                               UDMNWL    281
         VRFIN(JYE+3)=VALO                                              UDMNWL    282
         GO TO 500                                                      UDMNWL    283
      ENDIF                                                             UDMNWL    284
      IF(INDEX.EQ.2) THEN                                               UDMNWL    285
         VGOV(JYP+2)=VALO                                               UDMNWL    286
         GO TO 500                                                      UDMNWL    287
      ENDIF                                                             UDMNWL    288
      IF(INDEX.EQ.3) THEN                                               UDMNWL    289
         STCR(JY+7)=VALO                                                UDMNWL    290
         GO TO 500                                                      UDMNWL    291
      ENDIF                                                             UDMNWL    292
      IF(INDEX.EQ.4) THEN                                               UDMNWL    293
         SSTC(JYTC+3)=VALO                                              UDMNWL    294
         GO TO 500                                                      UDMNWL    295
      ENDIF                                                             UDMNWL    296
      IF(INDEX.EQ.5) THEN                                               UDMNWL    297
         SSPS(JYPS+3)=VALO                                              UDMNWL    298
         GO TO 500                                                      UDMNWL    299
      ENDIF                                                             UDMNWL    300
      IF(INDEX.EQ.6) THEN                                               UDMNWL    301
         SSDB(JY+3)=VALO                                                UDMNWL    302
         GO TO 500                                                      UDMNWL    303
      ENDIF                                                             UDMNWL    304
      GO TO 500                                                         UDMNWL    305
  280 VALO=XSTATE(KORD)+DDAT(JEB+9)                                     UDMNWL    306
      YMAX=DDAT(JEB+6)                                                  UDMNWL    307
      YMIN=DDAT(JEB+7)                                                  UDMNWL    308
      IF(VALO.GT.YMAX) VALO=YMAX                                        UDMNWL    309
      IF(VALO.LT.YMIN) VALO=YMIN                                        UDMNWL    310
      IF(INDEX.EQ.1) THEN                                               UDMNWL    311
         VRFIN(JYE+3)=VALO                                              UDMNWL    312
         GO TO 500                                                      UDMNWL    313
      ENDIF                                                             UDMNWL    314
      IF(INDEX.EQ.2) THEN                                               UDMNWL    315
         VGOV(JYP+2)=VALO                                               UDMNWL    316
         GO TO 500                                                      UDMNWL    317
      ENDIF                                                             UDMNWL    318
      IF(INDEX.EQ.3) THEN                                               UDMNWL    319
         STCR(JY+7)=VALO                                                UDMNWL    320
         GO TO 500                                                      UDMNWL    321
      ENDIF                                                             UDMNWL    322
      IF(INDEX.EQ.4) THEN                                               UDMNWL    323
         SSTC(JYTC+3)=VALO                                              UDMNWL    324
         GO TO 500                                                      UDMNWL    325
      ENDIF                                                             UDMNWL    326
      IF(INDEX.EQ.5) THEN                                               UDMNWL    327
         SSPS(JYPS+3)=VALO                                              UDMNWL    328
         GO TO 500                                                      UDMNWL    329
      ENDIF                                                             UDMNWL    330
      IF(INDEX.EQ.6) THEN                                               UDMNWL    331
         SSDB(JY+3)=VALO                                                UDMNWL    332
         GO TO 500                                                      UDMNWL    333
      ENDIF                                                             UDMNWL    334
  500 IF(LORD.LT.NUDB.AND.K.NE.0) GO TO 100                             UDMNWL    335
      RETURN                                                            UDMNWL    336
 1000 FORMAT(1X,'LORD,K,KORD,JEB,LTYP: ',5I5)                           UDMNWL    337
      END                                                               UDMNWL    338
